> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/auth/login/pre

## OpenAPI

````json GET /v1/auth/login/pre
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/auth/login/pre": {
      "get": {
        "parameters": [
          {
            "in": "query",
            "name": "email",
            "required": true,
            "schema": {
              "type": "string",
              "example": "user@example.com"
            },
            "description": "User email address"
          },
          {
            "in": "query",
            "name": "relayState",
            "required": false,
            "schema": {
              "type": "string",
              "example": "information-to-relay"
            },
            "description": "State to relay after authentication"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1AuthLoginPreGetResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad request"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "v1AuthLoginPreGetResponse": {
        "type": "object",
        "properties": {
          "method": {
            "type": "string",
            "enum": [
              "SSO",
              "PASSWORD"
            ],
            "example": "PASSWORD",
            "description": "Authentication method to use"
          },
          "email": {
            "type": "string",
            "example": "user@example.com",
            "description": "User email address"
          },
          "iam": {
            "type": "string",
            "example": "Azure",
            "description": "Identity provider name (Azure/Okta)"
          },
          "relayState": {
            "type": "string",
            "example": "information-to-relay",
            "description": "State to relay after authentication"
          },
          "entryPoint": {
            "type": "string",
            "example": "https://saml.example.com/sso",
            "description": "SSO entry point URL"
          }
        },
        "required": [
          "method",
          "email"
        ]
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

